Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.labkey.remoteapi.query
Class GetQueriesResponse

    java.lang.Object
      org.labkey.remoteapi.CommandResponse
          org.labkey.remoteapi.query.GetQueriesResponse

    public class GetQueriesResponse

extends CommandResponse

Represents the response from a GetQueriesCommand.

Constructor Summary
`GetQueriesResponse(java.lang.String text, int statusCode, java.lang.String contentType, org.json.simple.JSONObject json, GetQueriesCommand sourceCommand)`

Method Summary
`java.util.List<java.lang.String>` | `getColumnNames(java.lang.String queryName)` Returns the list of column names available in the given query name.
`java.util.List<java.lang.String>` | `getQueryNames()` Returns the list of available query names in the given schema.
`java.lang.String` | `getSchemaName()` Returns the schema name the queries in this response belong to.

Methods inherited from class org.labkey.remoteapi.CommandResponse
`findObject, getContentType, getParsedData, getProperty, getProperty, getRequiredVersion, getSourceCommand, getStatusCode, getText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetQueriesResponse

    public GetQueriesResponse(java.lang.String text,
                              int statusCode,
                              java.lang.String contentType,
                              org.json.simple.JSONObject json,
                              GetQueriesCommand sourceCommand)

Method Detail

### getSchemaName

    public java.lang.String getSchemaName()

  Returns the schema name the queries in this response belong to.

  Returns:
    The schema name.

### getQueryNames

    public java.util.List<java.lang.String> getQueryNames()

  Returns the list of available query names in the given schema.

  Returns:
    List of query names.

### getColumnNames

    public java.util.List<java.lang.String> getColumnNames(java.lang.String queryName)

  Returns the list of column names available in the given query name. Note that if the command was set to not include column information, this will return an empty list.

  Parameters:
    `queryName` - The query name to find.
  Returns:
    The list of columns available within that query, or an empty list if not found.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD